#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new 8051 flash programmer"$ENDLOGINFO
cp 8051flash.elf /home/upgrade/tools/8051flash.elf
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new 8051 flash programmer"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
