#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

MSG_START="<update cat=\"popup\" level=\""
MSG_TITLE="\" title=\""
MSG_MESSAGE="\" message=\""
MSG_HEADER_END="\">"
MSG_END="</update>"

BUTTON_START="<button name=\""
BUTTON_VALUE="\" value=\""
BUTTON_END="\"/>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

echo $STARTLOGINFO"  installing new kernel and modules"$ENDLOGINFO
mv -f ./2.4.25.* /lib/modules/
chown -Rh root:root /lib/modules/2.4.25.*
RET_ERROR=$?

mknod /dev/mtd3 b 31 3
dd if=uImage of=/dev/mtd3

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new kernel driver"$ENDLOGINFO
  RET_ERROR=2
else 
  cp S10removemodules /etc/rc.d/init.d/
  chmod +x /etc/rc.d/init.d/S10removemodules

  ./send_to_sock.elf /home/flm/local_socket "show_message(reboot)"
#  echo $MSG_START"warning"$MSG_TITLE"New kernel installed"$MSG_MESSAGE"Please press OK and then restart the system to load the new kernel"$MSG_HEADER_END
#  echo "  "$BUTTON_START"OK"$BUTTON_VALUE"0"$BUTTON_END
#  echo $MSG_END
#  read reply
  echo $UPDATE
fi


exit $RET_ERROR