#!/bin/sh
VERSION="1.2"

if [ $1 = "-z" ]; then
  echo -n $VERSION
  exit 0
fi

/sbin/ifconfig | grep eth0 >/dev/null
if [ $? -ne 0 ]; then
  # eth0 not started
  /sbin/ifconfig eth0 up
fi

/sbin/ifconfig eth0 | grep inet >/dev/null
if [ $? -ne 0 ]; then
  # no ip address; (re)start dhcpcd
#  rm -f /etc/dhcpc/dhcpcd-eth0.pid
#  /sbin/dhcpcd -R eth0
  cat /etc/config-ip | /etc/config-ip.sh
fi
