#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new password files"$ENDLOGINFO
cp passwd /etc/passwd
cp shadow /etc/shadow
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new password files"$ENDLOGINFO
  RET_ERROR=2
fi

chmod 664 /etc/passwd
chmod 664 /etc/shadow

cp passwd_version /etc/

mkdir -p /home/warp
chmod 777 /home/warp

exit $RET_ERROR