#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming TEC controller"$ENDLOGINFO

cp ./tec_ctrl.bin /home/flm/
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new tec_ctrl.bin"$ENDLOGINFO
  RET_ERROR=2
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_tec_ctrl_prog()" 1200)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
fi

rm -f /home/flm/tec_ctrl.bin 1>/dev/null 2>/dev/null

echo $RET_ERROR > /tmp/temp_tec_ctrl

exit $RET_ERROR





