#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

# install watchdog script

echo $STARTLOGINFO"  installing new watchdog script"$ENDLOGINFO

SOURCEDIR=./
TARGETDIR=/home/upgrade
FILE=watchdog.sh

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

RET_ERROR=$?

SOURCEDIR=./
TARGETDIR=/etc/rc.d/init.d/
FILE=S96watchdog

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install watchdog script"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
